/* assets/css/style.css */
@keyframes bg-move {
    0% { background-position: 0% 50%; }
    50% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}

@keyframes shimmer {
    100% { transform: translateX(100%); }
}

.list-container {
    animation: bg-move 3s linear infinite;
}

.list-row .absolute {
    animation: shimmer 1.5s infinite;
}

.song-list-content::-webkit-scrollbar {
    width: 4px;
}

.song-list-content::-webkit-scrollbar-track {
    background: rgba(255,255,255,0.1);
    border-radius: 10px;
}

.song-list-content::-webkit-scrollbar-thumb {
    background: rgba(255,255,255,0.3);
    border-radius: 10px;
}

.show {
    display: block !important;
}

.hidden {
    display: none !important;
}